#include <bits/stdc++.h>
#include "partition.h"
using namespace std;
vector<int> solve(std::vector<int> A){
    int N=(int)A.size();
    vector<int> res;
    for(int i=0;i<N/2;i++){
        res.push_back(i);
        res.push_back(N-i-1);
    }
    if(N%2==1)
        res.push_back(N/2);
    reverse(res.begin(), res.end());
    return res;
}
